WATCH(1)

NOM
watch - Exécuter un programme périodiquement en affichant le résultat à l'écran

SYNOPSIS
watch [options] commande

DESCRIPTION
watch exécute la commande périodiquement et affiche le résultat et les erreurs (en plein écran). Cela permet d'observer les changements de résultats du programme au fil du temps. Par défaut, command est exécuté toutes les deux secondes et watch fonctionnera jusqu'à être interrompu.

OPTIONS

-d, --differences[=permanent]
    Highlight the differences between successive updates. If the optional permanent argument is specified then watch will show all changes since the first iteration.

-n, --interval intervalle
    Specify update interval. The command will not allow quicker than 0.1 second interval, in which the smaller values are converted. Both '.' and ',' work for any locales. The WATCH_INTERVAL environment can be used to persistently set a non-default interval (following the same rules and formatting).

-p, --precise
    Make watch attempt to run command every --interval seconds. Try it with ntptime (if present) and notice how the fractional seconds stays (nearly) the same, as opposed to normal mode where they continuously increase.

-t, --no-title
    Cacher l'en-tête contenant l'intervalle, la commande et la date actuelle en haut de l'affichage, ainsi que la ligne blanche qui suit.

-b, --beep
    Émettre un bip lorsque le code de retour de la commande est non nul.

-e, --errexit
    Geler les mises à jour en cas d'erreur de la commande et quitter après avoir appuyé sur une touche.

-g, --chgexit
    Terminer quand la sortie de commande est modifiée.

-q, --equexit <cycles>
    Exit when output of command does not change for the given number of cycles.

-c, --color
    Interpréter les suites et style de couleur ANSI.

-x, --exec
    Passer command à exec(2) au lieu de sh -c réduit le nombre d'échappements pour obtenir le même résultat.

-w, --no-wrap
    Turn off line wrapping. Long lines will be truncated instead of wrapped to the next line.

-h, --help
    Afficher l'aide et quitter.

-v, --version
    Afficher la version du logiciel et quitter.

CODES DE RETOUR

    0   Réussite.
    1   Erreurs diverses.
    2   Échec lors du dédoublement (« fork ») du processus à observer.
    3   Échec de remplacement de la sortie standard du processus fils par une écriture vers le tube.
    4   Échec d'exécution de la commande.
    5   Échec de la fermeture d'écriture vers le tube du processus fils.
    7   Échec de la création du tube IPC.
    8   Le processus fils n'a pas pu renvoyer une valeur avec waitpid(2) ou la commande s'est terminée en erreur.
    autre
        L'observation propagera l'état du code de retour en tant que code de retour du fils.

ENVIRONNEMENT
The behaviour of watch is affected by the following environment variables.
WATCH_INTERVAL
    Update interval, follows the same rules as the --interval command line option.

NOTES
Remarquez que la reconnaissance des options suit la norme POSIX (le traitement des options s'arrête dès le premier paramètre qui n'est pas une option). Cela signifie que les options se trouvant après la commande ne seront pas interprétées par watch.

BOGUES
Lors du redimensionnement d'un terminal, l'écran ne sera pas rafraîchi correctement avant la prochaine exécution. Les mises en évidence dues à --differences sont également perdues. Les caractères non imprimables de la sortie du programme sont ignorés. Utilisez cat -v pour les afficher. La combinaison de caractères supposés s'afficher en dernière colonne de l'écran risque de s'afficher dans la colonne précédente ou pas du tout. Les combinaisons de caractères ne sont jamais considérées différentes en mode --differences. Seul le caractère de base est considéré. Les lignes blanches qui suivent directement une ligne s'arrêtant en dernière colonne ne sont pas affichées --precise mode doesn't yet have advanced temporal distortion technology to compensate for a command that takes more than --interval seconds to execute. watch also can get into a state where it rapid-fires as many executions of command as it can to catch up from a previous executions running longer than --interval (for example, netstat taking ages on a DNS lookup).

EXEMPLES
Pour vérifier les courriels :
    watch -n 60 from
Pour afficher les changements dans le contenu d'un répertoire :
    watch -d ls -l
Pour n'afficher que les fichiers appartenant à arthur :
    watch -d 'ls -l | fgrep arthur'
Pour vérifier l'effet des guillemets :
    watch echo $$
    watch echo '$$'
    watch echo "'"'$$'"'"
Pour vérifier l'effet du temps de maintien de la précision, essayez en ajoutant -p à
    watch -n 10 sleep 1
Pour vérifier que l'administrateur a installé le dernier noyau avec
    watch uname -r
(Note that -p isn't guaranteed to work across reboots, especially in the face of ntpdate (if present) or other bootup time-changing mechanisms)